#
# spec file for package image-sync-formula
#
# Copyright (c) 2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname image-synchronize
%define fdir  %{_datadir}/susemanager/formulas
Name:           image-sync-formula
Version:        0.1.1692188980.9aa0455
Release:        230900.1.2.uyuni3
Summary:        Salt formula for syncing images to Branch Server
License:        GPL-2.0
Group:          System/Packages
Source:         image-sync-formula-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt formula for syncing images to Branch Server.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R %{fname}/* %{buildroot}%{fdir}/states/%{fname}
# keep compatibility:
cp -R image-sync.sls %{buildroot}%{fdir}/states
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}
cp -R _states _modules %{buildroot}%{fdir}/states/

%files
%defattr(-,root,root)
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/states/image-sync.sls
%{fdir}/metadata/%{fname}
%{fdir}/states/_states
%{fdir}/states/_modules

%changelog
* Tue Aug  8 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1692188980.9aa0455
  * Fix boot image version compare to use numeric instead of string
    (bsc#1214002)
  * Add support to filter individual image versions in whitelist
  * Delete cache files that are no longer needed
* Thu Apr 27 2023 Vladimir Nadvornik <nadvornik@suse.cz>
- Update to version 0.1.1687520761.cefb248
  * Do not delete boot images which are referenced in PXE entries
* Mon Jan  9 2023 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1673279145.e7616bd
  * Add form entry for use lates boot image pillar value (bsc#1206055)
* Fri Aug 26 2022 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1661440542.6cbe0da
  * Sort boot images by version instead of name-version (bsc#1196729)
  * Do not send events if syncing fails
* Fri Jul 15 2022 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.1.1658330139.861779d
  * Fix deleting of unused boot images
  * Support deltas for system images (bsc#1201498)
* Mon May 30 2022 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 1.0.1657643023.0d694ce
  * Do not try to show changes in images (bsc#1199998)
* Wed Feb 10 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Create default for arm64 images: linux_arm64 and initrd_arm64
- Update to version 0.1.1614159840.ef7cad5
* Thu Oct 29 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Send image_synced event to master
- Update to version 0.1.1605087464.65d1b51
* Tue Oct  6 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Do not use .gz suffix for default initrd symlink
- Keep the old symlink "initrd.gz" for compatibility
- Update to version 0.1.1602150122.f08af0a
* Mon Jun  8 2020 Ondrej Holecek <oholecek@suse.com>
- Allow image-sync state on regular minion.
  Image sync state requires branch-network pillars to get the directory
  where to sync images. Use default `/srv/saltboot` if that pillar is
  missing so image-sync can be applied on non branch minions as well.
- Update to version 0.1.1595937550.0285244
* Thu Apr 16 2020 Vladimir Nadvornik <nadvornik@suse.com>
- Install shim.efi on usb boot image
- Update to version 0.1.1588156049.952b58d
* Tue Mar 24 2020 Ondrej Holecek <oholecek@suse.com>
- Install dosfstools package for sync_image_usb module to work
- Update to version 0.1.1585064259.12b97ef
* Mon Dec 23 2019 Ondrej Holecek <oholecek@suse.com>
- Prevent installing xdelta3 package and disable delta functionality
  on SLE12 branch servers (bsc#1159553)
- Update to version 0.1.1579102150.4716559
* Fri Nov 15 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Keep image bundles in /var/cache/salt/minion/extrn_files/
- Update to version 0.1.1574263639.c30ba46
* Wed Nov 13 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Use bundle and delta hash to check file presence in salt cache
* Wed Oct 16 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Add image_sync_usb module
- Update to version 0.1.1573133286.06608d5
* Mon Aug 19 2019 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.1.1568808472.be9f236
- Handle Kiwi NG image bundle
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Wed May  8 2019 nadvornik@suse.com
- Update to version 0.1.1557760069.e3d27d9
- Allow configuring default boot image
* Thu May  2 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1555335519.abf24f8
* Wed Apr 10 2019 nadvornik@suse.com
- Fix non-bundle sync
* Mon Feb 25 2019 nadvornik@suse.com
- Store list of synced images in grains
- Delete images not referenced in pillar
* Thu Feb 14 2019 nadvornik@suse.com
- Add image whitelist
- Add form under name "image-synchronize"
* Mon Jan 28 2019 nadvornik@suse.com
- Support delta images
* Thu Oct  4 2018 nadvornik@suse.com
- Handle empty images pillar (bsc#1105359)
* Tue May 29 2018 oholecek@suse.com
- Translate source_hash from ':' separated to be '=' separated
* Wed Mar 21 2018 nadvornik@suse.com
- Support for bundle images
* Sun Mar 18 2018 oholecek@suse.com
- Change iteritems to iter to be compatible with python3
- Configurable service directory for pxe and imagesync
* Thu Aug 24 2017 nadvornik@suse.com
- new package
